提交 Suno 音乐任务
curl --request POST \
--url https://router.aionclaw.ai/suno/submit/music \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gpt_description_prompt": "A warm piano song about coming home.",
"prompt": "<string>",
"mv": "chirp-v3-0",
"title": "<string>",
"tags": "<string>",
"make_instrumental": true
}
'import requests
url = "https://router.aionclaw.ai/suno/submit/music"
payload = {
"gpt_description_prompt": "A warm piano song about coming home.",
"prompt": "<string>",
"mv": "chirp-v3-0",
"title": "<string>",
"tags": "<string>",
"make_instrumental": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gpt_description_prompt: 'A warm piano song about coming home.',
prompt: '<string>',
mv: 'chirp-v3-0',
title: '<string>',
tags: '<string>',
make_instrumental: true
})
};
fetch('https://router.aionclaw.ai/suno/submit/music', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://router.aionclaw.ai/suno/submit/music",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'gpt_description_prompt' => 'A warm piano song about coming home.',
'prompt' => '<string>',
'mv' => 'chirp-v3-0',
'title' => '<string>',
'tags' => '<string>',
'make_instrumental' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://router.aionclaw.ai/suno/submit/music"
payload := strings.NewReader("{\n \"gpt_description_prompt\": \"A warm piano song about coming home.\",\n \"prompt\": \"<string>\",\n \"mv\": \"chirp-v3-0\",\n \"title\": \"<string>\",\n \"tags\": \"<string>\",\n \"make_instrumental\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://router.aionclaw.ai/suno/submit/music")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"gpt_description_prompt\": \"A warm piano song about coming home.\",\n \"prompt\": \"<string>\",\n \"mv\": \"chirp-v3-0\",\n \"title\": \"<string>\",\n \"tags\": \"<string>\",\n \"make_instrumental\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://router.aionclaw.ai/suno/submit/music")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"gpt_description_prompt\": \"A warm piano song about coming home.\",\n \"prompt\": \"<string>\",\n \"mv\": \"chirp-v3-0\",\n \"title\": \"<string>\",\n \"tags\": \"<string>\",\n \"make_instrumental\": true\n}"
response = http.request(request)
puts response.read_body{
"code": "success",
"message": "ok",
"data": "task_example"
}{}{}{}{}{}{}{}音乐生成
提交 Suno 音乐任务
提交异步任务,按 suno_music 路由和计费。请求不需要 model。返回 data 中的公开任务 ID,然后查询直到 SUCCESS 或 FAILURE。每个任务按一次提交计费,不按返回的歌曲数量倍增。
POST
/
suno
/
submit
/
music
提交 Suno 音乐任务
curl --request POST \
--url https://router.aionclaw.ai/suno/submit/music \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gpt_description_prompt": "A warm piano song about coming home.",
"prompt": "<string>",
"mv": "chirp-v3-0",
"title": "<string>",
"tags": "<string>",
"make_instrumental": true
}
'import requests
url = "https://router.aionclaw.ai/suno/submit/music"
payload = {
"gpt_description_prompt": "A warm piano song about coming home.",
"prompt": "<string>",
"mv": "chirp-v3-0",
"title": "<string>",
"tags": "<string>",
"make_instrumental": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gpt_description_prompt: 'A warm piano song about coming home.',
prompt: '<string>',
mv: 'chirp-v3-0',
title: '<string>',
tags: '<string>',
make_instrumental: true
})
};
fetch('https://router.aionclaw.ai/suno/submit/music', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://router.aionclaw.ai/suno/submit/music",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'gpt_description_prompt' => 'A warm piano song about coming home.',
'prompt' => '<string>',
'mv' => 'chirp-v3-0',
'title' => '<string>',
'tags' => '<string>',
'make_instrumental' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://router.aionclaw.ai/suno/submit/music"
payload := strings.NewReader("{\n \"gpt_description_prompt\": \"A warm piano song about coming home.\",\n \"prompt\": \"<string>\",\n \"mv\": \"chirp-v3-0\",\n \"title\": \"<string>\",\n \"tags\": \"<string>\",\n \"make_instrumental\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://router.aionclaw.ai/suno/submit/music")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"gpt_description_prompt\": \"A warm piano song about coming home.\",\n \"prompt\": \"<string>\",\n \"mv\": \"chirp-v3-0\",\n \"title\": \"<string>\",\n \"tags\": \"<string>\",\n \"make_instrumental\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://router.aionclaw.ai/suno/submit/music")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"gpt_description_prompt\": \"A warm piano song about coming home.\",\n \"prompt\": \"<string>\",\n \"mv\": \"chirp-v3-0\",\n \"title\": \"<string>\",\n \"tags\": \"<string>\",\n \"make_instrumental\": true\n}"
response = http.request(request)
puts response.read_body{
"code": "success",
"message": "ok",
"data": "task_example"
}{}{}{}{}{}{}{}授权
AionRouter API 密钥。
请求体
application/json
- Option 1
- Option 2
描述模式:歌曲创意或风格提示词。与 prompt 至少提供一个。
示例:
"A warm piano song about coming home."
自定义模式:歌曲歌词,可使用 [Verse]、[Chorus] 等段落标记。
上游模型版本。省略时为 chirp-v3-0;其他版本需已开通,具体由可用服务决定。不是路由或计费模型名称。
自定义歌曲标题。
曲风、乐器或情绪标签。
是否生成纯音乐。